// Die Erde mit besonderen Lichteffekten (Lens Flares)
// ------------------------------------------------------------------------------
// WICHTIGER HINWEIS: Um diese Datei zu rendern, mssen sich die Maps ErdMap1.jpg
//                    und Erdebump.jpg IM SELBEN ORDNER BEFINDEN WIE DIESE
//                    POV-RAY-DATEI. 
//                    Die Dateien ErdMap1.jpg und Erdebump.jpg knnen Sie (gepackt 
//                    in der Datei maps.zip) von der Internetseite 
//                    http://www.afiller.de/cgbuch herunterladen.                   
// Um mit dieser Datei (und berhaupt mit Lens Effects in POV-Ray) zu arbeiten, 
// muss auerdem das ZUSATZMODUL LENS EFFECTS installiert sein 
// (siehe Abschnitt 2.4 im Buch).
//--------------------------------------------------------------------------------
#version 3.5;
global_settings { ambient_light rgb <0.68, 0.68, 0.7> }
// *******************************************************************************
#include "colors.inc"
#include "textures.inc"
#include "stars.inc"
background {White}

// Kamera
//-------
camera {
   location  <0, 60, -120>
   angle 6 
   look_at   <0, 0, 0>  }

// Lichtquellen
//-------------
light_source { <-250, 400, -250> color rgb<1,1,1> } // Hauptlicht (links, oben)
light_source { <-300, 100, -500> color rgb<0.35,0.35,0.35> } // (von hinten)
light_source { <-5, -20, 50> color rgb<0.5,0.5,0.5>} // Gegenlicht (vorn)

// LENS EFFECTS
//-------------

#declare camera_location = <0, 60, -120>;
#declare camera_look_at = <0, 0, 0>;
#declare camera_angle  = 6;
#declare effect_location = <-5, -20, 50>;              // Von diesem Punkt geht der Effekt aus.
#declare effect_type = "Sun" #include "LENS.INC"


// Himmel
//-------
sphere { <0, 0, 0>, 1000  texture { Starfield1 scale 30 finish{ ambient 0.4  diffuse 0.1 }}  }


// ERDKUGEL
// --------
sphere {<0,0,0>, 3.5
 texture {
   pigment  {image_map { jpeg "ErdMap1.jpg" map_type 1 } }
   finish { ambient rgb <0.9,0.9,1>  diffuse 1.0  brilliance 4  crand 0.05
            phong 0.15 phong_size 15  } 
   normal { bump_map {jpeg "Erdebump.jpg"  map_type 1   bump_size 8 } } 
       }
 rotate <0, -60, 0>
 translate <0,0,0>
 no_shadow
 }
