// Stillleben mit LensFX
// A. Filler, 2003
// ---------------------------------------------------------------
#version 3.5;                  // bentigte POV-Ray-Version
#include "colors.inc" 
#include "textures.inc"
#include "metals.inc"
#include "golds.inc"
#include "skies.inc"
#include "stars.inc"
#include "stones1.inc"
#include "stones2.inc"
#include "woods.inc"

// ---------------------------------------------------------------------------
// LensFX

#declare camera_location = <0, 11, -60>;
#declare camera_look_at = <0.0, 6,  0.0>;
#declare camera_angle  = 20;
#declare effect_location = <-14, 13, 50>;              // Von diesem Punkt geht der Effekt aus.
#declare effect_type = "Camera2" #include "LENS.INC"

// ---------------------------------------------------------------------------
// Kamera
camera { location camera_location   angle camera_angle   look_at camera_look_at }

// ---------------------------------------------------------------------------
// Lichtquellen
light_source { effect_location  color rgb <0.6, 0.6, 1> spotlight point_at <8, 0, 10> radius 12 falloff 4  area_light <4,0,0>, <0,0,4>, 4, 4 adaptive 2 jitter }

light_source { <0, 80, 0>  color rgb <1, 1, 1> spotlight point_at <0,0,10> radius 3 falloff 20  area_light <8,0,0>, <0,0,8>, 4, 4 adaptive 2 jitter }
light_source { <0, 80, 0>  color rgb <0.5, 0.5, 0.5> area_light <8,0,0>, <0,0,8>, 4, 4 adaptive 2 jitter }
light_source { <-12.5, 10, -25>  color rgb <1, 1, 1> area_light <8,0,0>, <0,0,8>, 4, 4 adaptive 2 jitter }
//light_source { <0,10*intervall,2*intervall>  color rgb <1, 1, 1> }
// ---------------------------------------------------------------------------

//Himmel 
sphere { <0, 0, 0.0>, 1000    texture { Starfield1  }     }

// Grundflche
plane {  y, 0  texture {   Soft_Silver }  }

// Krper der Szene

sphere { <-5, 3, 0>, 3   texture { T_Silver_1C  }     }

torus {4.5, 0.8 translate <4.5,0.8,-1.5>   texture { T_Gold_2C  } }

cone{ <2,0,24>, 5,   <2,10,24>, 0    texture { T_Copper_1A } }
